<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function(){
		var tn = 'conges_permissions';

		/* data for selected record, or defaults if none is selected */
		var data = {
			matricule: <?php echo json_encode(array('id' => $rdata['matricule'], 'value' => $rdata['matricule'], 'text' => $jdata['matricule'])); ?>,
			nom_prenom: <?php echo json_encode($jdata['nom_prenom']); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for matricule */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'matricule' && d.id == data.matricule.id)
				return { results: [ data.matricule ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for matricule autofills */
		cache.addCheck(function(u, d){
			if(u != tn + '_autofill.php') return false;

			for(var rnd in d) if(rnd.match(/^rnd/)) break;

			if(d.mfk == 'matricule' && d.id == data.matricule.id){
				$j('#nom_prenom' + d[rnd]).html(data.nom_prenom);
				return true;
			}

			return false;
		});

		cache.start();
	});
</script>

